
QGIS Application - Bug report #13899

Crash using Select Tools without selected layer

2015-11-29 07:52 AM - Thomas Nogatz

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21921

Description

Let's assume we just have started QGIS. No layer is selected. Nevertheless we klick on the "select all" button of the Select Tools

Extension (surely by accident because it makes no sense...). This action will cause a crash (minidump).

Associated revisions

Revision 3b2d7173 - 2015-11-29 08:48 PM - Jürgen Fischer

legend interface: guard layer dereferences (fixes #13899)

Revision e9e15ce0 - 2015-11-30 12:21 AM - Jürgen Fischer

legend interface: guard layer dereferences (fixes #13899)

(cherry picked from commit 3b2d7173f66ee260021a262167f571eb7ff72788)

Revision e14cc4da - 2015-11-30 12:21 AM - Jürgen Fischer

legend interface: guard layer dereferences (fixes #13899)

(cherry picked from commit 3b2d7173f66ee260021a262167f571eb7ff72788)

History

#1 - 2015-11-29 11:49 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3b2d7173f66ee260021a262167f571eb7ff72788".
